Bug 591922 - strata client needs to attach each file in report as separate file
strata client needs to attach each file in report as separate file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: report (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Gavin Romig-Koch
David Kutálek
:
Depends On:
Blocks: 591925
  Show dependency treegraph
 
Reported: 2010-05-13 09:49 EDT by Gavin Romig-Koch
Modified: 2010-11-10 16:29 EST (History)
1 user (show)

See Also:
Fixed In Version: report-0.18-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 591925 (view as bug list)
Environment:
Last Closed: 2010-11-10 16:29:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is an example report that will create multiple attachments when sent to Strata (600.32 KB, application/x-gzip)
2010-08-20 10:13 EDT, Gavin Romig-Koch
no flags Details

  None (edit)
Description Gavin Romig-Koch 2010-05-13 09:49:44 EDT
Within the strata client library, if a report consists of multiple files, it currently tar's them up and attaches the tarball to the strata case.  Instead it must attach them as separate files.
Comment 2 RHEL Product and Program Management 2010-05-13 11:19:41 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Gavin Romig-Koch 2010-07-14 17:17:49 EDT
This is fixed in upstream, can be pulled into RHEL6 when the blocker is approved.
Comment 7 David Kutálek 2010-08-19 09:56:32 EDT
Gavin,
please can you instruct me can be multi-file report created?
report command itself takes only one parameter.
David
Comment 8 David Kutálek 2010-08-19 09:57:04 EDT
I mean report takes only one single report file...
Comment 9 Gavin Romig-Koch 2010-08-20 10:13:17 EDT
Created attachment 439954 [details]
This is an example report that will create multiple attachments when sent to Strata

To test this bz, save this attachment to a file; use report to send that file to Strata:

   report --gtk <filename>
Comment 10 Gavin Romig-Koch 2010-08-20 10:14:05 EDT
sha1's for the two binary files in the attached report.

$ sha1sum /bin/tar /bin/bash
c15a22bf249c0154614afba9a31ad0630fcf2877  /bin/tar
2f474aa2ee7fab524ff20bcdff8b1cdc4981ac46  /bin/bash
$
Comment 12 releng-rhel@redhat.com 2010-11-10 16:29:16 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.